<?php
    
class attr_json extends attr {
    function getDBType() {
    	return "text";
    }

    function render_input() {
		return '<input type="hidden" id="' . $this->attr_name.'" name="' . $this->attr_name.'" value=\'' .$this->getCurVal() . '\'/>';
    }

    function render_text( $crop = false ) {
    	$val = 'JSON DATA';
    	return $val;
    }

    function lPost() {
        
    }
    
    function presave() {

	}   

}

?>